<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper
	namespace="com.huatek.busi.mapper.TransformerInfraredMonitoringStatisticsMapper">

	<sql id="Base_Column_List">
		id as id,
		cac_monitor_type_code as cacMonitorTypeCode,
		site_id as siteId,
		sensor_id as sensorId,
		main_tree_id as mainTreeId,
		sub_tree_id as subTreeId,
		d_time as dTime,
		avg_max_tmp as avgMaxTmp,
		avg_min_tmp as avgMinTmp,
		avg_avg_tmp as avgAvgTmp,
		create_time as createTime
	</sql>

	<delete id="deleteItem">
		delete from transformer_infrared_monitoring_statistics 
		where sensor_id = #{sensorCode} and d_time = #{day} and cac_monitor_type_code = #{cacMonitorTypeCode}
	</delete>
</mapper>